ispconfig mysql database: what differences?!?

Discussion in 'Installation/Configuration' started by gilas, Jul 19, 2006.

  1. gilas

    gilas Member

    Hi I upgraded ISPConfig to v. 2.2.5
    unfortunately I hoped that all was easy and when ISPConfig asked me which is the name of the database I wrote another name.
    So that just ISPConfig started I launched phpmyadmin and copied the new (empty) db to a copy (suffixed it with .225 to remember), then I renamed the old db with the new name.
    My question: is this correct?!? The v. 2.2.5 and v.2.2.4 have the same name of fields (tables are always 52)?!?
    Thank you very much
  2. falko

    falko Super Moderator ISPConfig Developer

    ISPConfig doesn't ask you for the database name when you do an update. It asks you only if this is the first installation...

    No, don't copy over the old database. But you should find out first why the installer asked you for the database name.
  3. gilas

    gilas Member

    a mistery

    I don't know because ISPConfig 2.2.5 asked to me the name of the old database. I renamed the old (under 2.2.3) in the new and it seems there are no problems.

    I remember that yesterday ISPConfig 2.2.5 installer asked for the name and for the certificates (already loaded) and immediately stopped with some errors (such as in the first installation).

    I repeated the installation and the second time I not configured certificates (simply press 'enter' to go on) and the installer not asked me more nothing (?).

    Now it seems all work correctly, but I'm not sure. Eventually can I uninstall ISPConfig (totally) and reinstall it?!? If Mysql Db is preserved I suppose there will be not probems to do that.

    Thank you very much.
  4. falko

    falko Super Moderator ISPConfig Developer

    I guess then that your first (failed) update removed /root/ispconfig and /home/admispconfig so that during the second try the installer thought this was a new installation.

    That should work, but you must install the ISPConfig version that suits to your SQL dump. So if your dump is from an ISPConfig 2.2.3 installation, then you must install 2.2.3 again.

Share This Page